# Class FileHistoryProvider

java.lang.Object
org.eclipse.team.core.history.provider.FileHistoryProvider

All Implemented Interfaces:
  `IFileHistoryProvider`

public abstract class FileHistoryProvider extends Object implements IFileHistoryProvider
Abstract FileHistoryProvider class.

Since:
  3.2
See Also:
  - `IFileHistoryProvider`

## Field Summary

### Fields inherited from interface IFileHistoryProvider

`NONE, SINGLE_LINE_OF_DESCENT, SINGLE_REVISION`

## Constructor Summary

Constructors
Constructor
Description
`FileHistoryProvider()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IFileHistoryProvider

`getFileHistoryFor, getFileHistoryFor, getWorkspaceFileRevision`

## Constructor Details

### FileHistoryProvider

public FileHistoryProvider()